{% extends "base.html" %}
{% block main %}


<div id="cards">  
{% for x in books %}
  {% if x is  defined %}
    <figure class="card card--{{x.type1}}">
        <div class="card__image-container">
          <img src="{{ 'https://pokestrat.io/images/gif-animes/'+x.pokedex_number|string+'.gif'}}" alt="Eevee" class="card__image">   
        </div>
        <figcaption class="card__caption">
          <h1 class="card__name">{{x.name}}</h1>
      
          <h3 class="card__type">
            {{x.type1}}
          </h3>
      
          <table class="card__stats">
            <tbody><tr>
              <th>HP</th>
              <td>{{x.hp}}</td>
            </tr>
            <tr>
              <th>Poid Kg</th>
              <td>{{x.weight_kg}}</td>
            </tr>
            
            <tr>
              <th>Taille en (m)</th>
              <td>{{x.height_m}}</td>
            </tr>
            <tr>
              <th>Speed</th>  
              <td>{{x.speed}}</td>
            </tr>
            </tr>
          </tbody></table>
          <form class="form-inline mr-auto" target="_self" method="POST" action="{{ url_for('edition' , id=x.pokedex_number) }}">
            <input id="IDpoke" name="IDpoke" type="hidden"  value={{x.pokedex_number}}>
            <input  type="submit" value="Modifier le pokemon">
          </form>
          <div class="card__abilities">
            <h4 class="card__ability">
              <span class="card__label">Ability</span>
              Run Away
            </h4>
            <h4 class="card__ability">
              <span class="card__label">Hidden Ability</span>
              Anticipation
            </h4>
          </div>
        </figcaption>
      </figure>
  {%else%}
            
  {% endif %}
{% endfor %}
</div>
</div>
{% endblock %}
